<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: UART Exported Functions</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">UART Exported Functions<div class="ingroups"><a class="el" href="../../da/d7c/group___m_i_n_i51___device___driver.html">MINI51 Device Driver</a> &raquo; <a class="el" href="../../dd/d10/group___m_i_n_i51___u_a_r_t___driver.html">UART Driver</a> &raquo; <a class="el" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html">UART Exported Constants</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for UART Exported Functions:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.png" border="0" usemap="#ad0_2ddc_2group______m__i__n__i51______u__a__r__t______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s" alt=""/></div>
<map name="ad0_2ddc_2group______m__i__n__i51______u__a__r__t______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s" id="ad0_2ddc_2group______m__i__n__i51______u__a__r__t______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s">
<area shape="rect" href="../../d8/d9f/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html" title=" " alt="" coords="5,5,180,31"/>
<area shape="rect" title=" " alt="" coords="228,5,401,31"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga2b95702ec6143af8ae540638f6ff80f2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2b95702ec6143af8ae540638f6ff80f2">UART_BAUD_MODE0</a>&#160;&#160;&#160;(0)</td></tr>
<tr class="memdesc:ga2b95702ec6143af8ae540638f6ff80f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate UART baudrate mode0 divider.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2b95702ec6143af8ae540638f6ff80f2">More...</a><br /></td></tr>
<tr class="separator:ga2b95702ec6143af8ae540638f6ff80f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga24e250ad638c968b36c1e892bbdc5cd2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga24e250ad638c968b36c1e892bbdc5cd2">UART_BAUD_MODE2</a>&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a36aef12894ee29264698f1be6f493f0f">UART_BAUD_DIV_X_EN_Msk</a> | <a class="el" href="../../de/d94/_mini51_series_8h.html#a879d61490992d46e60b19e5e8dd61310">UART_BAUD_DIV_X_ONE_Msk</a>)</td></tr>
<tr class="memdesc:ga24e250ad638c968b36c1e892bbdc5cd2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate UART baudrate mode0 divider.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga24e250ad638c968b36c1e892bbdc5cd2">More...</a><br /></td></tr>
<tr class="separator:ga24e250ad638c968b36c1e892bbdc5cd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga59118911e1bb8d8dfd8efa40bddcd1a5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga59118911e1bb8d8dfd8efa40bddcd1a5">UART_BAUD_MODE0_DIVIDER</a>(u32SrcFreq,  u32BaudRate)&#160;&#160;&#160;(((u32SrcFreq + (u32BaudRate*8)) / u32BaudRate &gt;&gt; 4)-2)</td></tr>
<tr class="memdesc:ga59118911e1bb8d8dfd8efa40bddcd1a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate UART baudrate mode0 divider.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga59118911e1bb8d8dfd8efa40bddcd1a5">More...</a><br /></td></tr>
<tr class="separator:ga59118911e1bb8d8dfd8efa40bddcd1a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7e5bef7359154929202790132aa821ec"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7e5bef7359154929202790132aa821ec">UART_BAUD_MODE2_DIVIDER</a>(u32SrcFreq,  u32BaudRate)&#160;&#160;&#160;(((u32SrcFreq + (u32BaudRate/2)) / u32BaudRate)-2)</td></tr>
<tr class="memdesc:ga7e5bef7359154929202790132aa821ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate UART baudrate mode2 divider.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7e5bef7359154929202790132aa821ec">More...</a><br /></td></tr>
<tr class="separator:ga7e5bef7359154929202790132aa821ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga083fbb83994e89568760f957e23d8ab2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga083fbb83994e89568760f957e23d8ab2">UART_WRITE</a>(uart,  u8Data)&#160;&#160;&#160;(uart-&gt;THR = (u8Data))</td></tr>
<tr class="memdesc:ga083fbb83994e89568760f957e23d8ab2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write Data to Tx data register.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga083fbb83994e89568760f957e23d8ab2">More...</a><br /></td></tr>
<tr class="separator:ga083fbb83994e89568760f957e23d8ab2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7e15d2e6ae8b6bc0971dd35431c7a736"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7e15d2e6ae8b6bc0971dd35431c7a736">UART_READ</a>(uart)&#160;&#160;&#160;(uart-&gt;RBR)</td></tr>
<tr class="memdesc:ga7e15d2e6ae8b6bc0971dd35431c7a736"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read Rx data register.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7e15d2e6ae8b6bc0971dd35431c7a736">More...</a><br /></td></tr>
<tr class="separator:ga7e15d2e6ae8b6bc0971dd35431c7a736"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2504484cd8946223b4306781761e3b73"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2504484cd8946223b4306781761e3b73">UART_GET_TX_EMPTY</a>(uart)&#160;&#160;&#160;(uart-&gt;FSR &amp; <a class="el" href="../../de/d94/_mini51_series_8h.html#abb370e4dc56af65891d4cb839378a769">UART_FSR_TX_EMPTY_Msk</a>)</td></tr>
<tr class="memdesc:ga2504484cd8946223b4306781761e3b73"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Tx empty register value.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2504484cd8946223b4306781761e3b73">More...</a><br /></td></tr>
<tr class="separator:ga2504484cd8946223b4306781761e3b73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga72b29b47b3a3334c6ca5f2efe2c21bb2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72b29b47b3a3334c6ca5f2efe2c21bb2">UART_GET_RX_EMPTY</a>(uart)&#160;&#160;&#160;(uart-&gt;FSR &amp; <a class="el" href="../../de/d94/_mini51_series_8h.html#aad5a5b1a99f9f4b5f7ecca6313a582e8">UART_FSR_RX_EMPTY_Msk</a>)</td></tr>
<tr class="memdesc:ga72b29b47b3a3334c6ca5f2efe2c21bb2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Rx empty register value.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72b29b47b3a3334c6ca5f2efe2c21bb2">More...</a><br /></td></tr>
<tr class="separator:ga72b29b47b3a3334c6ca5f2efe2c21bb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga61ef2046c6aa7dd44dd482cd43d6961d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga61ef2046c6aa7dd44dd482cd43d6961d">UART_IS_TX_EMPTY</a>(uart)&#160;&#160;&#160;((uart-&gt;FSR &amp; <a class="el" href="../../de/d94/_mini51_series_8h.html#ad4fca453c297f1087919720dc06dddbc">UART_FSR_TE_FLAG_Msk</a>) &gt;&gt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a30447859bd7bf8d35d140040d46e897a">UART_FSR_TE_FLAG_Pos</a>)</td></tr>
<tr class="memdesc:ga61ef2046c6aa7dd44dd482cd43d6961d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check specified uart port transmission is over.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga61ef2046c6aa7dd44dd482cd43d6961d">More...</a><br /></td></tr>
<tr class="separator:ga61ef2046c6aa7dd44dd482cd43d6961d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf96be169ef2a1bc49fd0f44831a6047c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf96be169ef2a1bc49fd0f44831a6047c">UART_WAIT_TX_EMPTY</a>(uart)&#160;&#160;&#160;while(!(((uart-&gt;FSR) &amp; <a class="el" href="../../de/d94/_mini51_series_8h.html#ad4fca453c297f1087919720dc06dddbc">UART_FSR_TE_FLAG_Msk</a>) &gt;&gt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a30447859bd7bf8d35d140040d46e897a">UART_FSR_TE_FLAG_Pos</a>))</td></tr>
<tr class="memdesc:gaf96be169ef2a1bc49fd0f44831a6047c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait specified uart port transmission is over.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf96be169ef2a1bc49fd0f44831a6047c">More...</a><br /></td></tr>
<tr class="separator:gaf96be169ef2a1bc49fd0f44831a6047c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga35dd095067af93a9e635ab3aee4c8432"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga35dd095067af93a9e635ab3aee4c8432">UART_IS_RX_READY</a>(uart)&#160;&#160;&#160;((uart-&gt;ISR &amp; <a class="el" href="../../de/d94/_mini51_series_8h.html#a91c614e62ae81b3bdf13ef0f15fb1833">UART_ISR_RDA_IF_Msk</a>)&gt;&gt;<a class="el" href="../../de/d94/_mini51_series_8h.html#a3f835d52bd802b22f242083df0a3c54e">UART_ISR_RDA_IF_Pos</a>)</td></tr>
<tr class="memdesc:ga35dd095067af93a9e635ab3aee4c8432"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check RDA_IF is set or not.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga35dd095067af93a9e635ab3aee4c8432">More...</a><br /></td></tr>
<tr class="separator:ga35dd095067af93a9e635ab3aee4c8432"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9888c26b3c2bf68be2619152468a9447"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9888c26b3c2bf68be2619152468a9447">UART_IS_TX_FULL</a>(uart)&#160;&#160;&#160;((uart-&gt;FSR &amp; <a class="el" href="../../de/d94/_mini51_series_8h.html#a8f615387cea25d4310d7610fd3a7d3d2">UART_FSR_TX_FULL_Msk</a>)&gt;&gt;<a class="el" href="../../de/d94/_mini51_series_8h.html#a7ea341413bfc330c67c9e69e0c62d81d">UART_FSR_TX_FULL_Pos</a>)</td></tr>
<tr class="memdesc:ga9888c26b3c2bf68be2619152468a9447"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check TX FIFO is full or not.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9888c26b3c2bf68be2619152468a9447">More...</a><br /></td></tr>
<tr class="separator:ga9888c26b3c2bf68be2619152468a9447"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabd0e6e0bf97f0f89e03313ee358788a9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabd0e6e0bf97f0f89e03313ee358788a9">UART_IS_RX_FULL</a>(uart)&#160;&#160;&#160;((uart-&gt;FSR &amp; <a class="el" href="../../de/d94/_mini51_series_8h.html#ae62b409f0ff65022a2b92ca36ab9a5d4">UART_FSR_RX_FULL_Msk</a>)&gt;&gt;<a class="el" href="../../de/d94/_mini51_series_8h.html#a98ddbf2a08bce0a5ce97c523f8bbdb2d">UART_FSR_RX_FULL_Pos</a>)</td></tr>
<tr class="memdesc:gabd0e6e0bf97f0f89e03313ee358788a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check RX FIFO is full or not.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabd0e6e0bf97f0f89e03313ee358788a9">More...</a><br /></td></tr>
<tr class="separator:gabd0e6e0bf97f0f89e03313ee358788a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3d9f8d01bb7517d1513fb4e50b4d9d6d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d9f8d01bb7517d1513fb4e50b4d9d6d">UART_GET_TX_FULL</a>(uart)&#160;&#160;&#160;(uart-&gt;FSR &amp; <a class="el" href="../../de/d94/_mini51_series_8h.html#a8f615387cea25d4310d7610fd3a7d3d2">UART_FSR_TX_FULL_Msk</a>)</td></tr>
<tr class="memdesc:ga3d9f8d01bb7517d1513fb4e50b4d9d6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Tx full register value.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d9f8d01bb7517d1513fb4e50b4d9d6d">More...</a><br /></td></tr>
<tr class="separator:ga3d9f8d01bb7517d1513fb4e50b4d9d6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga79e0afb4463506e02dda5d4e4660bd2d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga79e0afb4463506e02dda5d4e4660bd2d">UART_GET_RX_FULL</a>(uart)&#160;&#160;&#160;(uart-&gt;FSR &amp; <a class="el" href="../../de/d94/_mini51_series_8h.html#ae62b409f0ff65022a2b92ca36ab9a5d4">UART_FSR_RX_FULL_Msk</a>)</td></tr>
<tr class="memdesc:ga79e0afb4463506e02dda5d4e4660bd2d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Rx full register value.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga79e0afb4463506e02dda5d4e4660bd2d">More...</a><br /></td></tr>
<tr class="separator:ga79e0afb4463506e02dda5d4e4660bd2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae0715a29b04c2aebd5b1ba1b99f0aace"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae0715a29b04c2aebd5b1ba1b99f0aace">UART_ENABLE_INT</a>(uart,  u32eIntSel)&#160;&#160;&#160;(uart-&gt;IER |= (u32eIntSel))</td></tr>
<tr class="memdesc:gae0715a29b04c2aebd5b1ba1b99f0aace"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable specified interrupt.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae0715a29b04c2aebd5b1ba1b99f0aace">More...</a><br /></td></tr>
<tr class="separator:gae0715a29b04c2aebd5b1ba1b99f0aace"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6806d0b82666a849ae9ef6cad6747657"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6806d0b82666a849ae9ef6cad6747657">UART_DISABLE_INT</a>(uart,  u32eIntSel)&#160;&#160;&#160;(uart-&gt;IER &amp;= ~ (u32eIntSel))</td></tr>
<tr class="memdesc:ga6806d0b82666a849ae9ef6cad6747657"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable specified interrupt.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6806d0b82666a849ae9ef6cad6747657">More...</a><br /></td></tr>
<tr class="separator:ga6806d0b82666a849ae9ef6cad6747657"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad7a263c6fe1e3d032abf9e4cb7556d7e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7a263c6fe1e3d032abf9e4cb7556d7e">UART_GET_INT_FLAG</a>(uart,  u32eIntTypeFlag)&#160;&#160;&#160;((uart-&gt;ISR &amp; (u32eIntTypeFlag))?1:0)</td></tr>
<tr class="memdesc:gad7a263c6fe1e3d032abf9e4cb7556d7e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get specified interrupt flag/status.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7a263c6fe1e3d032abf9e4cb7556d7e">More...</a><br /></td></tr>
<tr class="separator:gad7a263c6fe1e3d032abf9e4cb7556d7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad2fcd8999cc2a80f23dde3fcba363658"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2fcd8999cc2a80f23dde3fcba363658">UART_RS485_CLEAR_ADDR_FLAG</a>(uart)&#160;&#160;&#160;(uart-&gt;FSR  |= <a class="el" href="../../de/d94/_mini51_series_8h.html#a514dcd5496412f6c75381c9c07a22603">UART_FSR_RS485_ADD_DETF_Msk</a>)</td></tr>
<tr class="memdesc:gad2fcd8999cc2a80f23dde3fcba363658"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear RS-485 Address Byte Detection Flag.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2fcd8999cc2a80f23dde3fcba363658">More...</a><br /></td></tr>
<tr class="separator:gad2fcd8999cc2a80f23dde3fcba363658"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga60ec8016ded1868a689c9065088a815c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60ec8016ded1868a689c9065088a815c">UART_RS485_GET_ADDR_FLAG</a>(uart)&#160;&#160;&#160;((uart-&gt;FSR  &amp; <a class="el" href="../../de/d94/_mini51_series_8h.html#a514dcd5496412f6c75381c9c07a22603">UART_FSR_RS485_ADD_DETF_Msk</a>) &gt;&gt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a90ff41739134768244ef7e6739c4a311">UART_FSR_RS485_ADD_DETF_Pos</a>)</td></tr>
<tr class="memdesc:ga60ec8016ded1868a689c9065088a815c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get RS-485 Address Byte Detection Flag.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60ec8016ded1868a689c9065088a815c">More...</a><br /></td></tr>
<tr class="separator:ga60ec8016ded1868a689c9065088a815c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga2a2bbf1d71806c044999a316f640687d"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2a2bbf1d71806c044999a316f640687d">UART_CLEAR_RTS</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart)</td></tr>
<tr class="memdesc:ga2a2bbf1d71806c044999a316f640687d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set RTS pin is low.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2a2bbf1d71806c044999a316f640687d">More...</a><br /></td></tr>
<tr class="separator:ga2a2bbf1d71806c044999a316f640687d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga314065271811d1e0f5597c75ec9ecd7e"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga314065271811d1e0f5597c75ec9ecd7e">UART_SET_RTS</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart)</td></tr>
<tr class="memdesc:ga314065271811d1e0f5597c75ec9ecd7e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set RTS pin is high.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga314065271811d1e0f5597c75ec9ecd7e">More...</a><br /></td></tr>
<tr class="separator:ga314065271811d1e0f5597c75ec9ecd7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6caa32b208da0662b8f8bf2180fb57b7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6caa32b208da0662b8f8bf2180fb57b7">UART_ClearIntFlag</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32InterruptFlag)</td></tr>
<tr class="memdesc:ga6caa32b208da0662b8f8bf2180fb57b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to clear UART specified interrupt flag.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6caa32b208da0662b8f8bf2180fb57b7">More...</a><br /></td></tr>
<tr class="separator:ga6caa32b208da0662b8f8bf2180fb57b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga56ed1b6c204c2ee6054e2273126bca8e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56ed1b6c204c2ee6054e2273126bca8e">UART_Close</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart)</td></tr>
<tr class="memdesc:ga56ed1b6c204c2ee6054e2273126bca8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to disable UART.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56ed1b6c204c2ee6054e2273126bca8e">More...</a><br /></td></tr>
<tr class="separator:ga56ed1b6c204c2ee6054e2273126bca8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6dcf73f1bd97886b6d501a9e932bcc60"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6dcf73f1bd97886b6d501a9e932bcc60">UART_DisableFlowCtrl</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart)</td></tr>
<tr class="memdesc:ga6dcf73f1bd97886b6d501a9e932bcc60"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to disable UART auto flow control.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6dcf73f1bd97886b6d501a9e932bcc60">More...</a><br /></td></tr>
<tr class="separator:ga6dcf73f1bd97886b6d501a9e932bcc60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga978d8c95e3b536a84f56567f9eb35597"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga978d8c95e3b536a84f56567f9eb35597">UART_DisableInt</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32InterruptFlag)</td></tr>
<tr class="memdesc:ga978d8c95e3b536a84f56567f9eb35597"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to disable UART specified interrupt and disable NVIC UART IRQ.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga978d8c95e3b536a84f56567f9eb35597">More...</a><br /></td></tr>
<tr class="separator:ga978d8c95e3b536a84f56567f9eb35597"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7b63c003589dc997066dc8e5b77d0662"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7b63c003589dc997066dc8e5b77d0662">UART_EnableFlowCtrl</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart)</td></tr>
<tr class="memdesc:ga7b63c003589dc997066dc8e5b77d0662"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to Enable UART auto flow control.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7b63c003589dc997066dc8e5b77d0662">More...</a><br /></td></tr>
<tr class="separator:ga7b63c003589dc997066dc8e5b77d0662"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga13b38c30bd15f9e1f2bd4fb1cbe418cc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga13b38c30bd15f9e1f2bd4fb1cbe418cc">UART_EnableInt</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32InterruptFlag)</td></tr>
<tr class="memdesc:ga13b38c30bd15f9e1f2bd4fb1cbe418cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to enable UART specified interrupt and disable NVIC UART IRQ.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga13b38c30bd15f9e1f2bd4fb1cbe418cc">More...</a><br /></td></tr>
<tr class="separator:ga13b38c30bd15f9e1f2bd4fb1cbe418cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadcca8d11ae146138c089c65c2a9eb428"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadcca8d11ae146138c089c65c2a9eb428">UART_Open</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32baudrate)</td></tr>
<tr class="memdesc:gadcca8d11ae146138c089c65c2a9eb428"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function use to enable UART function and set baud-rate.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadcca8d11ae146138c089c65c2a9eb428">More...</a><br /></td></tr>
<tr class="separator:gadcca8d11ae146138c089c65c2a9eb428"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gace2c59bec6efa5ccd85986f5fa15c7e0"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gace2c59bec6efa5ccd85986f5fa15c7e0">UART_Read</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint8_t *pu8RxBuf, uint32_t u32ReadBytes)</td></tr>
<tr class="memdesc:gace2c59bec6efa5ccd85986f5fa15c7e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to read Rx data from RX FIFO and the data will be stored in pu8RxBuf.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gace2c59bec6efa5ccd85986f5fa15c7e0">More...</a><br /></td></tr>
<tr class="separator:gace2c59bec6efa5ccd85986f5fa15c7e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga83fe107ad6c49af362366874e4a730e9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83fe107ad6c49af362366874e4a730e9">UART_SetLine_Config</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32baudrate, uint32_t u32data_width, uint32_t u32parity, uint32_t u32stop_bits)</td></tr>
<tr class="memdesc:ga83fe107ad6c49af362366874e4a730e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function use to config UART line setting.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83fe107ad6c49af362366874e4a730e9">More...</a><br /></td></tr>
<tr class="separator:ga83fe107ad6c49af362366874e4a730e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4c9d81ea9193f20ebfbd7873a4cdc8cb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4c9d81ea9193f20ebfbd7873a4cdc8cb">UART_SetTimeoutCnt</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32TOC)</td></tr>
<tr class="memdesc:ga4c9d81ea9193f20ebfbd7873a4cdc8cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function use to set Rx timeout count.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4c9d81ea9193f20ebfbd7873a4cdc8cb">More...</a><br /></td></tr>
<tr class="separator:ga4c9d81ea9193f20ebfbd7873a4cdc8cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab74d997a2c280fedd422b65cc06ed4e1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab74d997a2c280fedd422b65cc06ed4e1">UART_SelectIrDAMode</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32Buadrate, uint32_t u32Direction)</td></tr>
<tr class="memdesc:gab74d997a2c280fedd422b65cc06ed4e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to configure IrDA relative settings. It consists of TX or RX mode and baudrate.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab74d997a2c280fedd422b65cc06ed4e1">More...</a><br /></td></tr>
<tr class="separator:gab74d997a2c280fedd422b65cc06ed4e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga012cceda57fbf706282dfc225754f9ab"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga012cceda57fbf706282dfc225754f9ab">UART_SelectRS485Mode</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint32_t u32Mode, uint32_t u32Addr)</td></tr>
<tr class="memdesc:ga012cceda57fbf706282dfc225754f9ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to set RS485 relative setting.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga012cceda57fbf706282dfc225754f9ab">More...</a><br /></td></tr>
<tr class="separator:ga012cceda57fbf706282dfc225754f9ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7c407ea077120e5e2e19b44742554137"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c407ea077120e5e2e19b44742554137">UART_Write</a> (<a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *uart, uint8_t *pu8TxBuf, uint32_t u32WriteBytes)</td></tr>
<tr class="memdesc:ga7c407ea077120e5e2e19b44742554137"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is to write data into TX buffer to transmit data by UART.  <a href="../../d0/ddc/group___m_i_n_i51___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c407ea077120e5e2e19b44742554137">More...</a><br /></td></tr>
<tr class="separator:ga7c407ea077120e5e2e19b44742554137"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga2b95702ec6143af8ae540638f6ff80f2" name="ga2b95702ec6143af8ae540638f6ff80f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2b95702ec6143af8ae540638f6ff80f2">&#9670;&nbsp;</a></span>UART_BAUD_MODE0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_BAUD_MODE0&#160;&#160;&#160;(0)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calculate UART baudrate mode0 divider. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>UART baudrate mode0 register setting value </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00095">95</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga59118911e1bb8d8dfd8efa40bddcd1a5" name="ga59118911e1bb8d8dfd8efa40bddcd1a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga59118911e1bb8d8dfd8efa40bddcd1a5">&#9670;&nbsp;</a></span>UART_BAUD_MODE0_DIVIDER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_BAUD_MODE0_DIVIDER</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32SrcFreq, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32BaudRate&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;(((u32SrcFreq + (u32BaudRate*8)) / u32BaudRate &gt;&gt; 4)-2)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calculate UART baudrate mode0 divider. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32SrcFreq</td><td>UART clock frequency </td></tr>
    <tr><td class="paramname">u32BaudRate</td><td>Baudrate of UART module</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>UART baudrate mode0 divider </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00117">117</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga24e250ad638c968b36c1e892bbdc5cd2" name="ga24e250ad638c968b36c1e892bbdc5cd2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga24e250ad638c968b36c1e892bbdc5cd2">&#9670;&nbsp;</a></span>UART_BAUD_MODE2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_BAUD_MODE2&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a36aef12894ee29264698f1be6f493f0f">UART_BAUD_DIV_X_EN_Msk</a> | <a class="el" href="../../de/d94/_mini51_series_8h.html#a879d61490992d46e60b19e5e8dd61310">UART_BAUD_DIV_X_ONE_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calculate UART baudrate mode0 divider. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>UART baudrate mode2 register setting value </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00105">105</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga7e5bef7359154929202790132aa821ec" name="ga7e5bef7359154929202790132aa821ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7e5bef7359154929202790132aa821ec">&#9670;&nbsp;</a></span>UART_BAUD_MODE2_DIVIDER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_BAUD_MODE2_DIVIDER</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32SrcFreq, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32BaudRate&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;(((u32SrcFreq + (u32BaudRate/2)) / u32BaudRate)-2)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calculate UART baudrate mode2 divider. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32SrcFreq</td><td>UART clock frequency </td></tr>
    <tr><td class="paramname">u32BaudRate</td><td>Baudrate of UART module</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>UART baudrate mode2 divider </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00127">127</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga6806d0b82666a849ae9ef6cad6747657" name="ga6806d0b82666a849ae9ef6cad6747657"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6806d0b82666a849ae9ef6cad6747657">&#9670;&nbsp;</a></span>UART_DISABLE_INT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_DISABLE_INT</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">uart, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32eIntSel&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;(uart-&gt;IER &amp;= ~ (u32eIntSel))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable specified interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module </td></tr>
    <tr><td class="paramname">u32eIntSel</td><td>Interrupt type select<ul>
<li>UART_IER_TIME_OUT_EN_Msk : Rx Time Out interrupt</li>
<li>UART_IER_WAKE_EN_Msk : Wakeup interrupt</li>
<li>UART_IER_BUF_ERR_IEN_Msk : Buffer Error interrupt</li>
<li>UART_IER_RTO_IEN_Msk : Rx time-out interrupt</li>
<li>UART_IER_MODEM_IEN_Msk : Modem interrupt</li>
<li>UART_IER_RLS_IEN_Msk : Rx Line status interrupt</li>
<li>UART_IER_THRE_IEN_Msk : Tx empty interrupt</li>
<li>UART_IER_RDA_IEN_Msk : Rx ready interrupt </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00278">278</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gae0715a29b04c2aebd5b1ba1b99f0aace" name="gae0715a29b04c2aebd5b1ba1b99f0aace"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae0715a29b04c2aebd5b1ba1b99f0aace">&#9670;&nbsp;</a></span>UART_ENABLE_INT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_ENABLE_INT</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">uart, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32eIntSel&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;(uart-&gt;IER |= (u32eIntSel))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable specified interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module </td></tr>
    <tr><td class="paramname">u32eIntSel</td><td>Interrupt type select<ul>
<li>UART_IER_TIME_OUT_EN_Msk : Rx Time Out interrupt</li>
<li>UART_IER_WAKE_EN_Msk : Wakeup interrupt</li>
<li>UART_IER_BUF_ERR_IEN_Msk : Buffer Error interrupt</li>
<li>UART_IER_RTO_IEN_Msk : Rx time-out interrupt</li>
<li>UART_IER_MODEM_IEN_Msk : Modem interrupt</li>
<li>UART_IER_RLS_IEN_Msk : Rx Line status interrupt</li>
<li>UART_IER_THRE_IEN_Msk : Tx empty interrupt</li>
<li>UART_IER_RDA_IEN_Msk : Rx ready interrupt</li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00260">260</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gad7a263c6fe1e3d032abf9e4cb7556d7e" name="gad7a263c6fe1e3d032abf9e4cb7556d7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad7a263c6fe1e3d032abf9e4cb7556d7e">&#9670;&nbsp;</a></span>UART_GET_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_GET_INT_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">uart, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32eIntTypeFlag&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;((uart-&gt;ISR &amp; (u32eIntTypeFlag))?1:0)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get specified interrupt flag/status. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module </td></tr>
    <tr><td class="paramname">u32eIntTypeFlag</td><td>Interrupt Type Flag,should be<ul>
<li>UART_IER_TIME_OUT_EN_Msk : Rx Time Out interrupt</li>
<li>UART_IER_WAKE_EN_Msk : Wakeup interrupt</li>
<li>UART_IER_BUF_ERR_IEN_Msk : Buffer Error interrupt</li>
<li>UART_IER_RTO_IEN_Msk : Rx time-out interrupt</li>
<li>UART_IER_MODEM_IEN_Msk : Modem interrupt</li>
<li>UART_IER_RLS_IEN_Msk : Rx Line status interrupt</li>
<li>UART_IER_THRE_IEN_Msk : Tx empty interrupt</li>
<li>UART_IER_RDA_IEN_Msk : Rx ready interrupt</li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 = The specified interrupt is not happened. 1 = The specified interrupt is happened. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00299">299</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga72b29b47b3a3334c6ca5f2efe2c21bb2" name="ga72b29b47b3a3334c6ca5f2efe2c21bb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga72b29b47b3a3334c6ca5f2efe2c21bb2">&#9670;&nbsp;</a></span>UART_GET_RX_EMPTY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_GET_RX_EMPTY</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">uart</td><td>)</td>
          <td>&#160;&#160;&#160;(uart-&gt;FSR &amp; <a class="el" href="../../de/d94/_mini51_series_8h.html#aad5a5b1a99f9f4b5f7ecca6313a582e8">UART_FSR_RX_EMPTY_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get Rx empty register value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Rx empty register value. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00167">167</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga79e0afb4463506e02dda5d4e4660bd2d" name="ga79e0afb4463506e02dda5d4e4660bd2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga79e0afb4463506e02dda5d4e4660bd2d">&#9670;&nbsp;</a></span>UART_GET_RX_FULL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_GET_RX_FULL</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">uart</td><td>)</td>
          <td>&#160;&#160;&#160;(uart-&gt;FSR &amp; <a class="el" href="../../de/d94/_mini51_series_8h.html#ae62b409f0ff65022a2b92ca36ab9a5d4">UART_FSR_RX_FULL_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get Rx full register value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Rx full register value </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00241">241</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga2504484cd8946223b4306781761e3b73" name="ga2504484cd8946223b4306781761e3b73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2504484cd8946223b4306781761e3b73">&#9670;&nbsp;</a></span>UART_GET_TX_EMPTY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_GET_TX_EMPTY</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">uart</td><td>)</td>
          <td>&#160;&#160;&#160;(uart-&gt;FSR &amp; <a class="el" href="../../de/d94/_mini51_series_8h.html#abb370e4dc56af65891d4cb839378a769">UART_FSR_TX_EMPTY_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get Tx empty register value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Tx empty register value. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00157">157</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga3d9f8d01bb7517d1513fb4e50b4d9d6d" name="ga3d9f8d01bb7517d1513fb4e50b4d9d6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga3d9f8d01bb7517d1513fb4e50b4d9d6d">&#9670;&nbsp;</a></span>UART_GET_TX_FULL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_GET_TX_FULL</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">uart</td><td>)</td>
          <td>&#160;&#160;&#160;(uart-&gt;FSR &amp; <a class="el" href="../../de/d94/_mini51_series_8h.html#a8f615387cea25d4310d7610fd3a7d3d2">UART_FSR_TX_FULL_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get Tx full register value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Tx full register value </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00231">231</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gabd0e6e0bf97f0f89e03313ee358788a9" name="gabd0e6e0bf97f0f89e03313ee358788a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gabd0e6e0bf97f0f89e03313ee358788a9">&#9670;&nbsp;</a></span>UART_IS_RX_FULL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_IS_RX_FULL</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">uart</td><td>)</td>
          <td>&#160;&#160;&#160;((uart-&gt;FSR &amp; <a class="el" href="../../de/d94/_mini51_series_8h.html#ae62b409f0ff65022a2b92ca36ab9a5d4">UART_FSR_RX_FULL_Msk</a>)&gt;&gt;<a class="el" href="../../de/d94/_mini51_series_8h.html#a98ddbf2a08bce0a5ce97c523f8bbdb2d">UART_FSR_RX_FULL_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Check RX FIFO is full or not. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>1 = RX FIFO is full 0 = RX FIFO is not full </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00221">221</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga35dd095067af93a9e635ab3aee4c8432" name="ga35dd095067af93a9e635ab3aee4c8432"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga35dd095067af93a9e635ab3aee4c8432">&#9670;&nbsp;</a></span>UART_IS_RX_READY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_IS_RX_READY</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">uart</td><td>)</td>
          <td>&#160;&#160;&#160;((uart-&gt;ISR &amp; <a class="el" href="../../de/d94/_mini51_series_8h.html#a91c614e62ae81b3bdf13ef0f15fb1833">UART_ISR_RDA_IF_Msk</a>)&gt;&gt;<a class="el" href="../../de/d94/_mini51_series_8h.html#a3f835d52bd802b22f242083df0a3c54e">UART_ISR_RDA_IF_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Check RDA_IF is set or not. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 : The number of bytes in the RX FIFO is less than the RFITL 1 : The number of bytes in the RX FIFO equals or larger than RFITL </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00197">197</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga61ef2046c6aa7dd44dd482cd43d6961d" name="ga61ef2046c6aa7dd44dd482cd43d6961d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga61ef2046c6aa7dd44dd482cd43d6961d">&#9670;&nbsp;</a></span>UART_IS_TX_EMPTY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_IS_TX_EMPTY</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">uart</td><td>)</td>
          <td>&#160;&#160;&#160;((uart-&gt;FSR &amp; <a class="el" href="../../de/d94/_mini51_series_8h.html#ad4fca453c297f1087919720dc06dddbc">UART_FSR_TE_FLAG_Msk</a>) &gt;&gt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a30447859bd7bf8d35d140040d46e897a">UART_FSR_TE_FLAG_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Check specified uart port transmission is over. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>TE_Flag. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00176">176</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga9888c26b3c2bf68be2619152468a9447" name="ga9888c26b3c2bf68be2619152468a9447"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9888c26b3c2bf68be2619152468a9447">&#9670;&nbsp;</a></span>UART_IS_TX_FULL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_IS_TX_FULL</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">uart</td><td>)</td>
          <td>&#160;&#160;&#160;((uart-&gt;FSR &amp; <a class="el" href="../../de/d94/_mini51_series_8h.html#a8f615387cea25d4310d7610fd3a7d3d2">UART_FSR_TX_FULL_Msk</a>)&gt;&gt;<a class="el" href="../../de/d94/_mini51_series_8h.html#a7ea341413bfc330c67c9e69e0c62d81d">UART_FSR_TX_FULL_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Check TX FIFO is full or not. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>1 = TX FIFO is full 0 = TX FIFO is not full </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00209">209</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga7e15d2e6ae8b6bc0971dd35431c7a736" name="ga7e15d2e6ae8b6bc0971dd35431c7a736"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7e15d2e6ae8b6bc0971dd35431c7a736">&#9670;&nbsp;</a></span>UART_READ</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_READ</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">uart</td><td>)</td>
          <td>&#160;&#160;&#160;(uart-&gt;RBR)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read Rx data register. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The oldest data byte in RX FIFO </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00147">147</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gad2fcd8999cc2a80f23dde3fcba363658" name="gad2fcd8999cc2a80f23dde3fcba363658"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad2fcd8999cc2a80f23dde3fcba363658">&#9670;&nbsp;</a></span>UART_RS485_CLEAR_ADDR_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_RS485_CLEAR_ADDR_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">uart</td><td>)</td>
          <td>&#160;&#160;&#160;(uart-&gt;FSR  |= <a class="el" href="../../de/d94/_mini51_series_8h.html#a514dcd5496412f6c75381c9c07a22603">UART_FSR_RS485_ADD_DETF_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clear RS-485 Address Byte Detection Flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00331">331</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga60ec8016ded1868a689c9065088a815c" name="ga60ec8016ded1868a689c9065088a815c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga60ec8016ded1868a689c9065088a815c">&#9670;&nbsp;</a></span>UART_RS485_GET_ADDR_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_RS485_GET_ADDR_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">uart</td><td>)</td>
          <td>&#160;&#160;&#160;((uart-&gt;FSR  &amp; <a class="el" href="../../de/d94/_mini51_series_8h.html#a514dcd5496412f6c75381c9c07a22603">UART_FSR_RS485_ADD_DETF_Msk</a>) &gt;&gt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a90ff41739134768244ef7e6739c4a311">UART_FSR_RS485_ADD_DETF_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get RS-485 Address Byte Detection Flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>RS-485 Address Byte Detection Flag </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00340">340</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="gaf96be169ef2a1bc49fd0f44831a6047c" name="gaf96be169ef2a1bc49fd0f44831a6047c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf96be169ef2a1bc49fd0f44831a6047c">&#9670;&nbsp;</a></span>UART_WAIT_TX_EMPTY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_WAIT_TX_EMPTY</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">uart</td><td>)</td>
          <td>&#160;&#160;&#160;while(!(((uart-&gt;FSR) &amp; <a class="el" href="../../de/d94/_mini51_series_8h.html#ad4fca453c297f1087919720dc06dddbc">UART_FSR_TE_FLAG_Msk</a>) &gt;&gt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a30447859bd7bf8d35d140040d46e897a">UART_FSR_TE_FLAG_Pos</a>))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Wait specified uart port transmission is over. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00186">186</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga083fbb83994e89568760f957e23d8ab2" name="ga083fbb83994e89568760f957e23d8ab2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga083fbb83994e89568760f957e23d8ab2">&#9670;&nbsp;</a></span>UART_WRITE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_WRITE</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">uart, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u8Data&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;(uart-&gt;THR = (u8Data))</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Write Data to Tx data register. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module. </td></tr>
    <tr><td class="paramname">u8Data</td><td>Data byte to transmit</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00138">138</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ga2a2bbf1d71806c044999a316f640687d" name="ga2a2bbf1d71806c044999a316f640687d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2a2bbf1d71806c044999a316f640687d">&#9670;&nbsp;</a></span>UART_CLEAR_RTS()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void UART_CLEAR_RTS </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *&#160;</td>
          <td class="paramname"><em>uart</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set RTS pin is low. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00308">308</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga6caa32b208da0662b8f8bf2180fb57b7" name="ga6caa32b208da0662b8f8bf2180fb57b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6caa32b208da0662b8f8bf2180fb57b7">&#9670;&nbsp;</a></span>UART_ClearIntFlag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UART_ClearIntFlag </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *&#160;</td>
          <td class="paramname"><em>uart</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32InterruptFlag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The function is used to clear UART specified interrupt flag. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module. </td></tr>
    <tr><td class="paramname">u32InterruptFlag</td><td>The specified interrupt of UART module..</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d1/d87/uart_8c_source.html#l00037">37</a> of file <a class="el" href="../../d1/d87/uart_8c_source.html">uart.c</a>.</p>

</div>
</div>
<a id="ga56ed1b6c204c2ee6054e2273126bca8e" name="ga56ed1b6c204c2ee6054e2273126bca8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga56ed1b6c204c2ee6054e2273126bca8e">&#9670;&nbsp;</a></span>UART_Close()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UART_Close </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *&#160;</td>
          <td class="paramname"><em>uart</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The function is used to disable UART. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d1/d87/uart_8c_source.html#l00067">67</a> of file <a class="el" href="../../d1/d87/uart_8c_source.html">uart.c</a>.</p>

</div>
</div>
<a id="ga6dcf73f1bd97886b6d501a9e932bcc60" name="ga6dcf73f1bd97886b6d501a9e932bcc60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6dcf73f1bd97886b6d501a9e932bcc60">&#9670;&nbsp;</a></span>UART_DisableFlowCtrl()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UART_DisableFlowCtrl </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *&#160;</td>
          <td class="paramname"><em>uart</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The function is used to disable UART auto flow control. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d1/d87/uart_8c_source.html#l00080">80</a> of file <a class="el" href="../../d1/d87/uart_8c_source.html">uart.c</a>.</p>

</div>
</div>
<a id="ga978d8c95e3b536a84f56567f9eb35597" name="ga978d8c95e3b536a84f56567f9eb35597"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga978d8c95e3b536a84f56567f9eb35597">&#9670;&nbsp;</a></span>UART_DisableInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UART_DisableInt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *&#160;</td>
          <td class="paramname"><em>uart</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32InterruptFlag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The function is used to disable UART specified interrupt and disable NVIC UART IRQ. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module. </td></tr>
    <tr><td class="paramname">u32InterruptFlag</td><td>The specified interrupt of UART module.<ul>
<li>UART_IER_TIME_OUT_EN_Msk : Rx Time Out interrupt</li>
<li>UART_IER_WAKE_EN_Msk : Wakeup interrupt</li>
<li>UART_IER_BUF_ERR_IEN_Msk : Buffer Error interrupt</li>
<li>UART_IER_RTO_IEN_Msk : Rx time-out interrupt</li>
<li>UART_IER_MODEM_IEN_Msk : Modem interrupt</li>
<li>UART_IER_RLS_IEN_Msk : Rx Line status interrupt</li>
<li>UART_IER_THRE_IEN_Msk : Tx empty interrupt</li>
<li>UART_IER_RDA_IEN_Msk : Rx ready interrupt</li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d1/d87/uart_8c_source.html#l00102">102</a> of file <a class="el" href="../../d1/d87/uart_8c_source.html">uart.c</a>.</p>

</div>
</div>
<a id="ga7b63c003589dc997066dc8e5b77d0662" name="ga7b63c003589dc997066dc8e5b77d0662"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7b63c003589dc997066dc8e5b77d0662">&#9670;&nbsp;</a></span>UART_EnableFlowCtrl()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UART_EnableFlowCtrl </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *&#160;</td>
          <td class="paramname"><em>uart</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The function is used to Enable UART auto flow control. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d1/d87/uart_8c_source.html#l00116">116</a> of file <a class="el" href="../../d1/d87/uart_8c_source.html">uart.c</a>.</p>

</div>
</div>
<a id="ga13b38c30bd15f9e1f2bd4fb1cbe418cc" name="ga13b38c30bd15f9e1f2bd4fb1cbe418cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga13b38c30bd15f9e1f2bd4fb1cbe418cc">&#9670;&nbsp;</a></span>UART_EnableInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UART_EnableInt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *&#160;</td>
          <td class="paramname"><em>uart</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32InterruptFlag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The function is used to enable UART specified interrupt and disable NVIC UART IRQ. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module. </td></tr>
    <tr><td class="paramname">u32InterruptFlag</td><td>The specified interrupt of UART module:<ul>
<li>UART_IER_TIME_OUT_EN_Msk : Rx Time Out interrupt</li>
<li>UART_IER_WAKE_EN_Msk : Wakeup interrupt</li>
<li>UART_IER_BUF_ERR_IEN_Msk : Buffer Error interrupt</li>
<li>UART_IER_RTO_IEN_Msk : Rx time-out interrupt</li>
<li>UART_IER_MODEM_IEN_Msk : Modem interrupt</li>
<li>UART_IER_RLS_IEN_Msk : Rx Line status interrupt</li>
<li>UART_IER_THRE_IEN_Msk : Tx empty interrupt</li>
<li>UART_IER_RDA_IEN_Msk : Rx ready interrupt</li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d1/d87/uart_8c_source.html#l00141">141</a> of file <a class="el" href="../../d1/d87/uart_8c_source.html">uart.c</a>.</p>

</div>
</div>
<a id="gadcca8d11ae146138c089c65c2a9eb428" name="gadcca8d11ae146138c089c65c2a9eb428"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gadcca8d11ae146138c089c65c2a9eb428">&#9670;&nbsp;</a></span>UART_Open()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UART_Open </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *&#160;</td>
          <td class="paramname"><em>uart</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32baudrate</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function use to enable UART function and set baud-rate. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module. </td></tr>
    <tr><td class="paramname">u32baudrate</td><td>The baudrate of UART module.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d1/d87/uart_8c_source.html#l00155">155</a> of file <a class="el" href="../../d1/d87/uart_8c_source.html">uart.c</a>.</p>

</div>
</div>
<a id="gace2c59bec6efa5ccd85986f5fa15c7e0" name="gace2c59bec6efa5ccd85986f5fa15c7e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gace2c59bec6efa5ccd85986f5fa15c7e0">&#9670;&nbsp;</a></span>UART_Read()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t UART_Read </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *&#160;</td>
          <td class="paramname"><em>uart</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>pu8RxBuf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ReadBytes</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The function is used to read Rx data from RX FIFO and the data will be stored in pu8RxBuf. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module. </td></tr>
    <tr><td class="paramname">pu8RxBuf</td><td>The buffer to receive the data of receive FIFO. </td></tr>
    <tr><td class="paramname">u32ReadBytes</td><td>The the read bytes number of data.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>u32Count: Receive byte count </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d1/d87/uart_8c_source.html#l00195">195</a> of file <a class="el" href="../../d1/d87/uart_8c_source.html">uart.c</a>.</p>

</div>
</div>
<a id="gab74d997a2c280fedd422b65cc06ed4e1" name="gab74d997a2c280fedd422b65cc06ed4e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab74d997a2c280fedd422b65cc06ed4e1">&#9670;&nbsp;</a></span>UART_SelectIrDAMode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UART_SelectIrDAMode </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *&#160;</td>
          <td class="paramname"><em>uart</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Buadrate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Direction</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The function is used to configure IrDA relative settings. It consists of TX or RX mode and baudrate. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module. </td></tr>
    <tr><td class="paramname">u32Buadrate</td><td>The baudrate of UART module. </td></tr>
    <tr><td class="paramname">u32Direction</td><td>The direction(transmit:1/receive:0) of UART module in IrDA mode.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d1/d87/uart_8c_source.html#l00280">280</a> of file <a class="el" href="../../d1/d87/uart_8c_source.html">uart.c</a>.</p>

</div>
</div>
<a id="ga012cceda57fbf706282dfc225754f9ab" name="ga012cceda57fbf706282dfc225754f9ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga012cceda57fbf706282dfc225754f9ab">&#9670;&nbsp;</a></span>UART_SelectRS485Mode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UART_SelectRS485Mode </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *&#160;</td>
          <td class="paramname"><em>uart</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Mode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Addr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The function is used to set RS485 relative setting. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module. </td></tr>
    <tr><td class="paramname">u32Mode</td><td>The operation mode(NMM/AUD/AAD). </td></tr>
    <tr><td class="paramname">u32Addr</td><td>The RS485 address.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d1/d87/uart_8c_source.html#l00324">324</a> of file <a class="el" href="../../d1/d87/uart_8c_source.html">uart.c</a>.</p>

</div>
</div>
<a id="ga314065271811d1e0f5597c75ec9ecd7e" name="ga314065271811d1e0f5597c75ec9ecd7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga314065271811d1e0f5597c75ec9ecd7e">&#9670;&nbsp;</a></span>UART_SET_RTS()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__STATIC_INLINE void UART_SET_RTS </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *&#160;</td>
          <td class="paramname"><em>uart</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set RTS pin is high. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d2/d86/uart_8h_source.html#l00320">320</a> of file <a class="el" href="../../d2/d86/uart_8h_source.html">uart.h</a>.</p>

</div>
</div>
<a id="ga83fe107ad6c49af362366874e4a730e9" name="ga83fe107ad6c49af362366874e4a730e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga83fe107ad6c49af362366874e4a730e9">&#9670;&nbsp;</a></span>UART_SetLine_Config()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UART_SetLine_Config </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *&#160;</td>
          <td class="paramname"><em>uart</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32baudrate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32data_width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32parity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32stop_bits</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function use to config UART line setting. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module. </td></tr>
    <tr><td class="paramname">u32baudrate</td><td>The register value of baudrate of UART module. if u32baudrate = 0, UART baudrate will not change. </td></tr>
    <tr><td class="paramname">u32data_width</td><td>The data length of UART module. </td></tr>
    <tr><td class="paramname">u32parity</td><td>The parity setting (odd/even/none) of UART module. </td></tr>
    <tr><td class="paramname">u32stop_bits</td><td>The stop bit length (1/1.5 bit) of UART module.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d1/d87/uart_8c_source.html#l00229">229</a> of file <a class="el" href="../../d1/d87/uart_8c_source.html">uart.c</a>.</p>

</div>
</div>
<a id="ga4c9d81ea9193f20ebfbd7873a4cdc8cb" name="ga4c9d81ea9193f20ebfbd7873a4cdc8cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4c9d81ea9193f20ebfbd7873a4cdc8cb">&#9670;&nbsp;</a></span>UART_SetTimeoutCnt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void UART_SetTimeoutCnt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *&#160;</td>
          <td class="paramname"><em>uart</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32TOC</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function use to set Rx timeout count. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module. </td></tr>
    <tr><td class="paramname">u32TOC</td><td>Rx timeout counter.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d1/d87/uart_8c_source.html#l00264">264</a> of file <a class="el" href="../../d1/d87/uart_8c_source.html">uart.c</a>.</p>

</div>
</div>
<a id="ga7c407ea077120e5e2e19b44742554137" name="ga7c407ea077120e5e2e19b44742554137"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7c407ea077120e5e2e19b44742554137">&#9670;&nbsp;</a></span>UART_Write()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t UART_Write </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a> *&#160;</td>
          <td class="paramname"><em>uart</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>pu8TxBuf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32WriteBytes</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The function is to write data into TX buffer to transmit data by UART. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uart</td><td>The base address of UART module. </td></tr>
    <tr><td class="paramname">pu8TxBuf</td><td>The buffer to send the data to UART transmission FIFO. </td></tr>
    <tr><td class="paramname">u32WriteBytes</td><td>The byte number of data.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>u32Count: transfer byte count </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d1/d87/uart_8c_source.html#l00341">341</a> of file <a class="el" href="../../d1/d87/uart_8c_source.html">uart.c</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:40 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
